# Class VulkanCommandBufferCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanCommandBufferCreateInfo.Builder

Enclosing class:
  `VulkanCommandBufferCreateInfo`

public static final class VulkanCommandBufferCreateInfo.Builder extends Object
Builds instances of type `VulkanCommandBufferCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanCommandBufferCreateInfo`
  `build()`
  Builds a new `VulkanCommandBufferCreateInfo`.
  `final VulkanCommandBufferCreateInfo.Builder`
  `from(VulkanCommandBufferCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanCommandBufferCreateInfoType` instance.
  `final VulkanCommandBufferCreateInfo.Builder`
  `setCount(int count)`
  Initializes the value for the `count` attribute.
  `final VulkanCommandBufferCreateInfo.Builder`
  `setLevel(VulkanCommandBufferLevel level)`
  Initializes the value for the `level` attribute.
  `final VulkanCommandBufferCreateInfo.Builder`
  `setPool(VulkanCommandPoolType pool)`
  Initializes the value for the `pool` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanCommandBufferCreateInfo.Builder from(VulkanCommandBufferCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanCommandBufferCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setPool

    public final VulkanCommandBufferCreateInfo.Builder setPool(VulkanCommandPoolType pool)
    Initializes the value for the `pool` attribute.
    Parameters:
      `pool` - The value for pool
    Returns:
      `this` builder for use in a chained invocation

  - ### setLevel

    public final VulkanCommandBufferCreateInfo.Builder setLevel(VulkanCommandBufferLevel level)
    Initializes the value for the `level` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `level`.

    Parameters:
      `level` - The value for level
    Returns:
      `this` builder for use in a chained invocation

  - ### setCount

    public final VulkanCommandBufferCreateInfo.Builder setCount(int count)
    Initializes the value for the `count` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `count`.

    Parameters:
      `count` - The value for count
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanCommandBufferCreateInfo build()
    Builds a new `VulkanCommandBufferCreateInfo`.
    Returns:
      An immutable instance of VulkanCommandBufferCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing